Loading...
Searching...
No Matches
sccp_scmg_msg Struct Reference

`#include <sccp_scmg.h>`

## Data Fields

uint8_t | msg_type
uint8_t | affected_ssn
uint16_t | affected_pc
uint8_t | smi
uint8_t | ssc_congestion_lvl [0]

## Field Documentation

## affected_pc

uint16_t sccp_scmg_msg::affected_pc

Referenced by sccp_scmg_tx(), scmg_prim_cb(), scmg_rx_ssa(), scmg_rx_ssp(), and scmg_rx_sst().

## affected_ssn

uint8_t sccp_scmg_msg::affected_ssn

Referenced by sccp_scmg_tx(), scmg_rx_ssa(), scmg_rx_ssp(), and scmg_rx_sst().

## msg_type

uint8_t sccp_scmg_msg::msg_type

Referenced by sccp_scmg_tx(), scmg_prim_cb(), and scmg_rx().

## smi

uint8_t sccp_scmg_msg::smi

Referenced by sccp_scmg_tx(), scmg_rx_ssa(), and scmg_rx_ssp().

## ssc_congestion_lvl

uint8_t sccp_scmg_msg::ssc_congestion_lvl[0]

Referenced by sccp_scmg_tx().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/protocol/sccp_scmg.h